
SPOOL jhsModelDdl.lst



PROMPT Creating Table 'JHS_ROLES'
CREATE TABLE JHS_ROLES
 (ID NUMBER(*,0) NOT NULL
 ,ORG_KEY VARCHAR2(30) DEFAULT 'DEFAULT' NOT NULL
 ,SHORT_NAME VARCHAR2(10) NOT NULL
 ,NAME VARCHAR2(40) NOT NULL
 )
/

PROMPT Creating Table 'JHS_USER_INTERFACE_SKINS'
CREATE TABLE JHS_USER_INTERFACE_SKINS
 (ID NUMBER(*,0) NOT NULL
 ,HEADER_IMAGE1 VARCHAR2(80)
 ,NAME VARCHAR2(30) NOT NULL
 ,HEADER_IMAGE2 VARCHAR2(80)
 ,ADF_FACES_SKIN VARCHAR2(30) NOT NULL
 ,IND_DEFAULT VARCHAR2(1) NOT NULL
 ,ORG_KEY VARCHAR2(30) DEFAULT 'DEFAULT' NOT NULL
 )
/

PROMPT Creating Table 'JHS_TRANSLATIONS'
CREATE TABLE JHS_TRANSLATIONS
 (ID NUMBER(*,0) NOT NULL
 ,KEY VARCHAR2(60) NOT NULL
 ,ORG_KEY VARCHAR2(30) DEFAULT 'DEFAULT' NOT NULL
 ,TEXT_TYPE VARCHAR2(30)
 ,PAGE_NAME VARCHAR2(60)
 ,TEXT VARCHAR2(240)
 ,LCE_ID NUMBER(*,0) NOT NULL
 )
/

PROMPT Creating Table 'JHS_LOCALES'
CREATE TABLE JHS_LOCALES
 (ID NUMBER(*,0) NOT NULL
 ,CODE VARCHAR2(10) NOT NULL
 ,DESCRIPTION VARCHAR2(60) NOT NULL
 )
/

PROMPT Creating Table 'JHS_ALLOWABLE_VALUES'
CREATE TABLE JHS_ALLOWABLE_VALUES
 (ID NUMBER(*,0) NOT NULL
 ,VALUE VARCHAR2(60) NOT NULL
 ,LABEL VARCHAR2(60) NOT NULL
 ,LABEL_TRANSLATION_KEY VARCHAR2(60)
 ,FID_ID NUMBER(*,0) NOT NULL
 )
/

PROMPT Creating Table 'JHS_MENU_ITEMS'
CREATE TABLE JHS_MENU_ITEMS
 (ID NUMBER(*,0) NOT NULL
 ,DISABLED_EXPR VARCHAR2(80)
 ,LAUNCHING_GROUP_NAME VARCHAR2(60)
 ,NAME VARCHAR2(60) NOT NULL
 ,LABEL_TRANSLATION_KEY VARCHAR2(60)
 ,RENDERED_EXPR VARCHAR2(80)
 ,LABEL VARCHAR2(60) NOT NULL
 ,ROLES VARCHAR2(60)
 ,IFRAME_URL VARCHAR2(240)
 ,MDE_ID NUMBER(*,0) NOT NULL
 ,MIM_ID NUMBER(*,0)
 ,DISPLAY_SEQUENCE NUMBER(3,0) NOT NULL
 )
/

PROMPT Creating Table 'JHS_OBJECT_PRIVILEGES'
CREATE TABLE JHS_OBJECT_PRIVILEGES
 (ID NUMBER(*,0) NOT NULL
 ,OPV_TYPE VARCHAR2(10) NOT NULL
 ,NAME VARCHAR2(60) NOT NULL
 ,OPV_ID NUMBER(*,0)
 )
/

PROMPT Creating Table 'JHS_FLEX_ITEM_DEFINITIONS'
CREATE TABLE JHS_FLEX_ITEM_DEFINITIONS
 (ID NUMBER(*,0) NOT NULL
 ,HINT_TEXT_TRANSLATION_KEY VARCHAR2(60)
 ,NAME VARCHAR2(60) NOT NULL
 ,DEFAULT_VALUE_QUERY VARCHAR2(4000)
 ,ERROR_MESSAGE_TRANSLATION_KEY VARCHAR2(60)
 ,DISPLAY_TYPE VARCHAR2(240) NOT NULL
 ,MAXIMUM_LENGTH NUMBER(4,0)
 ,ERROR_MESSAGE VARCHAR2(240)
 ,LABEL VARCHAR2(60) NOT NULL
 ,IND_MANDATORY VARCHAR2(1) NOT NULL
 ,DATA_TYPE VARCHAR2(20)
 ,HINT_TEXT VARCHAR2(240)
 ,ALLOWABLE_VALUES_QUERY VARCHAR2(4000)
 ,UPDATEABLE VARCHAR2(20)
 ,DISPLAY_SEQUENCE NUMBER(3,0) NOT NULL
 ,VALIDATION_QUERY VARCHAR2(4000)
 ,DISPLAY_WIDTH NUMBER(3,0)
 ,DISPLAY_HEIGHT NUMBER(3,0)
 ,LABEL_TRANSLATION_KEY VARCHAR2(60)
 ,REGULAR_EXPR VARCHAR2(240)
 ,STATIC_DEFAULT_VALUE VARCHAR2(60)
 ,FRD_ID NUMBER(*,0) NOT NULL
 ,FID_ID NUMBER(*,0)
 )
/

PROMPT Creating Table 'JHS_OBJECT_PRIVILEGE_GRANTS'
CREATE TABLE JHS_OBJECT_PRIVILEGE_GRANTS
 (ID NUMBER(*,0) NOT NULL
 ,OPV_ID NUMBER(*,0) NOT NULL
 ,RLE_ID NUMBER(*,0) NOT NULL
 )
/

PROMPT Creating Table 'JHS_FLEX_ITEMS'
CREATE TABLE JHS_FLEX_ITEMS
 (ID NUMBER(*,0) NOT NULL
 ,INTERMEDIA_VALUE ORDSYS.ORDDOC
 ,VALUE VARCHAR2(4000)
 ,FRN_ID NUMBER(*,0) NOT NULL
 ,FID_ID NUMBER(*,0) NOT NULL
 )
/

PROMPT Creating Table 'JHS_CUSTOMIZED_STANDARD_ITEMS'
CREATE TABLE JHS_CUSTOMIZED_STANDARD_ITEMS
 (ID NUMBER(*,0) NOT NULL
 ,ITEM_NAME VARCHAR2(60) NOT NULL
 ,IND_MANDATORY VARCHAR2(1) NOT NULL
 ,IND_HIDE_IN_CREATE_MODE VARCHAR2(1) NOT NULL
 ,PAGE_NAME VARCHAR2(60) NOT NULL
 ,ORG_KEY VARCHAR2(30) DEFAULT 'DEFAULT' NOT NULL
 ,IND_HIDE_IN_EDIT_MODE VARCHAR2(1) NOT NULL
 )
/

PROMPT Creating Table 'JHS_USER_ROLE_GRANTS'
CREATE TABLE JHS_USER_ROLE_GRANTS
 (ID NUMBER(*,0) NOT NULL
 ,USR_ID NUMBER(*,0) NOT NULL
 ,RLE_ID NUMBER(*,0) NOT NULL
 )
/

PROMPT Creating Table 'JHS_FLEX_REGIONS'
CREATE TABLE JHS_FLEX_REGIONS
 (ID NUMBER(*,0) NOT NULL
 ,LINKED_KEY_ATTRIBUTE2_VALUE VARCHAR2(60)
 ,LINKED_KEY_ATTRIBUTE1_VALUE VARCHAR2(60)
 ,LINKED_KEY_ATTRIBUTE3_VALUE VARCHAR2(60)
 ,FRD_ID NUMBER(*,0) NOT NULL
 )
/

PROMPT Creating Table 'JHS_USERS'
CREATE TABLE JHS_USERS
 (ID NUMBER(*,0) NOT NULL
 ,EMAIL_ADDRESS VARCHAR2(240)
 ,USERNAME VARCHAR2(240) NOT NULL
 ,ORG_KEY VARCHAR2(30) DEFAULT 'DEFAULT'
 ,PASSWORD VARCHAR2(240)
 ,DISPLAY_NAME VARCHAR2(240)
 )
/

PROMPT Creating Table 'JHS_FLEX_REGION_DEFINITIONS'
CREATE TABLE JHS_FLEX_REGION_DEFINITIONS
 (ID NUMBER(*,0) NOT NULL
 ,LABEL_TRANSLATION_KEY VARCHAR2(60)
 ,LABEL VARCHAR2(60)
 ,WIDTH VARCHAR2(10)
 ,NAME VARCHAR2(60) NOT NULL
 ,LAYOUT_STYLE VARCHAR2(20)
 ,NUMBER_OF_LAYOUT_COLUMNS NUMBER(2,0)
 ,GROUP_NAME VARCHAR2(60) NOT NULL
 ,RENDERED_EXPR VARCHAR2(80)
 ,ORG_KEY VARCHAR2(30) DEFAULT 'DEFAULT' NOT NULL
 ,FRD_ID NUMBER(*,0)
 ,ROLES VARCHAR2(60)
 )
/

PROMPT Creating Table 'JHS_MODULES'
CREATE TABLE JHS_MODULES
 (ID NUMBER(*,0) NOT NULL
 ,LABEL_TRANSLATION_KEY VARCHAR2(60)
 ,LABEL VARCHAR2(60) NOT NULL
 ,NAME VARCHAR2(60) NOT NULL
 ,ORG_KEY VARCHAR2(30) DEFAULT 'DEFAULT' NOT NULL
 ,UIS_ID NUMBER(*,0)
 ,DISPLAY_SEQUENCE NUMBER(3,0) NOT NULL
 )
/


  
PROMPT Creating Primary Key on 'JHS_ROLES'
ALTER TABLE JHS_ROLES
 ADD (CONSTRAINT JHS_RLE_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_USER_INTERFACE_SKINS'
ALTER TABLE JHS_USER_INTERFACE_SKINS
 ADD (CONSTRAINT JHS_UIS_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_TRANSLATIONS'
ALTER TABLE JHS_TRANSLATIONS
 ADD (CONSTRAINT JHS_TLN_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_LOCALES'
ALTER TABLE JHS_LOCALES
 ADD (CONSTRAINT JHS_LCE_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_ALLOWABLE_VALUES'
ALTER TABLE JHS_ALLOWABLE_VALUES
 ADD (CONSTRAINT JHS_AVE_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_MENU_ITEMS'
ALTER TABLE JHS_MENU_ITEMS
 ADD (CONSTRAINT JHS_MIM_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_OBJECT_PRIVILEGES'
ALTER TABLE JHS_OBJECT_PRIVILEGES
 ADD (CONSTRAINT JHS_OPV_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_FLEX_ITEM_DEFINITIONS'
ALTER TABLE JHS_FLEX_ITEM_DEFINITIONS
 ADD (CONSTRAINT JHS_FID_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_OBJECT_PRIVILEGE_GRANTS'
ALTER TABLE JHS_OBJECT_PRIVILEGE_GRANTS
 ADD (CONSTRAINT JHS_OPG_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_FLEX_ITEMS'
ALTER TABLE JHS_FLEX_ITEMS
 ADD (CONSTRAINT JHS_FIM_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_CUSTOMIZED_STANDARD_ITEMS'
ALTER TABLE JHS_CUSTOMIZED_STANDARD_ITEMS
 ADD (CONSTRAINT JHS_CSI_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_USER_ROLE_GRANTS'
ALTER TABLE JHS_USER_ROLE_GRANTS
 ADD (CONSTRAINT JHS_URG_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_FLEX_REGIONS'
ALTER TABLE JHS_FLEX_REGIONS
 ADD (CONSTRAINT JHS_FRN_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_USERS'
ALTER TABLE JHS_USERS
 ADD (CONSTRAINT JHS_USR_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_FLEX_REGION_DEFINITIONS'
ALTER TABLE JHS_FLEX_REGION_DEFINITIONS
 ADD (CONSTRAINT JHS_FRD_PK PRIMARY KEY 
  (ID))
/

PROMPT Creating Primary Key on 'JHS_MODULES'
ALTER TABLE JHS_MODULES
 ADD (CONSTRAINT JHS_MDE_PK PRIMARY KEY 
  (ID))
/


PROMPT Creating Unique Key on 'JHS_ROLES'
ALTER TABLE JHS_ROLES
 ADD (CONSTRAINT JHS_RLE_UK1 UNIQUE 
  (SHORT_NAME
  ,ORG_KEY))
/

PROMPT Creating Unique Key on 'JHS_USER_INTERFACE_SKINS'
ALTER TABLE JHS_USER_INTERFACE_SKINS
 ADD (CONSTRAINT JHS_UIS_UK1 UNIQUE 
  (NAME
  ,ORG_KEY))
/

PROMPT Creating Unique Key on 'JHS_TRANSLATIONS'
ALTER TABLE JHS_TRANSLATIONS
 ADD (CONSTRAINT JHS_TLN_UK1 UNIQUE 
  (KEY
  ,LCE_ID
  ,ORG_KEY))
/

PROMPT Creating Unique Key on 'JHS_LOCALES'
ALTER TABLE JHS_LOCALES
 ADD (CONSTRAINT JHS_LCE_UK1 UNIQUE 
  (CODE))
/

PROMPT Creating Unique Key on 'JHS_ALLOWABLE_VALUES'
ALTER TABLE JHS_ALLOWABLE_VALUES
 ADD (CONSTRAINT JHS_AVE_UK1 UNIQUE 
  (VALUE
  ,FID_ID))
/

PROMPT Creating Unique Key on 'JHS_MENU_ITEMS'
ALTER TABLE JHS_MENU_ITEMS
 ADD (CONSTRAINT JHS_MIM_UK1 UNIQUE 
  (NAME
  ,MDE_ID))
/

PROMPT Creating Unique Key on 'JHS_OBJECT_PRIVILEGES'
ALTER TABLE JHS_OBJECT_PRIVILEGES
 ADD (CONSTRAINT JHS_OPV_UK1 UNIQUE 
  (NAME))
/

PROMPT Creating Unique Key on 'JHS_FLEX_ITEM_DEFINITIONS'
ALTER TABLE JHS_FLEX_ITEM_DEFINITIONS
 ADD (CONSTRAINT JHS_FID_UK1 UNIQUE 
  (NAME
  ,FRD_ID))
/

PROMPT Creating Unique Key on 'JHS_OBJECT_PRIVILEGE_GRANTS'
ALTER TABLE JHS_OBJECT_PRIVILEGE_GRANTS
 ADD (CONSTRAINT JHS_OPG_UK1 UNIQUE 
  (OPV_ID
  ,RLE_ID))
/

PROMPT Creating Unique Key on 'JHS_FLEX_ITEMS'
ALTER TABLE JHS_FLEX_ITEMS
 ADD (CONSTRAINT JHS_FIM_UK1 UNIQUE 
  (FRN_ID
  ,FID_ID))
/

PROMPT Creating Unique Key on 'JHS_CUSTOMIZED_STANDARD_ITEMS'
ALTER TABLE JHS_CUSTOMIZED_STANDARD_ITEMS
 ADD (CONSTRAINT JHS_CSI_UK1 UNIQUE 
  (ITEM_NAME
  ,PAGE_NAME
  ,ORG_KEY))
/

PROMPT Creating Unique Key on 'JHS_USER_ROLE_GRANTS'
ALTER TABLE JHS_USER_ROLE_GRANTS
 ADD (CONSTRAINT JHS_URG_UK1 UNIQUE 
  (RLE_ID
  ,USR_ID))
/

PROMPT Creating Unique Key on 'JHS_USERS'
ALTER TABLE JHS_USERS
 ADD (CONSTRAINT JHS_USR_UK1 UNIQUE 
  (USERNAME
  ,ORG_KEY))
/

PROMPT Creating Unique Key on 'JHS_FLEX_REGION_DEFINITIONS'
ALTER TABLE JHS_FLEX_REGION_DEFINITIONS
 ADD (CONSTRAINT JHS_FRD_UK1 UNIQUE 
  (NAME
  ,GROUP_NAME
  ,ORG_KEY))
/

PROMPT Creating Unique Key on 'JHS_MODULES'
ALTER TABLE JHS_MODULES
 ADD (CONSTRAINT JHS_MDE_UK1 UNIQUE 
  (NAME
  ,ORG_KEY))
/

       
PROMPT Creating Check Constraint on 'JHS_OBJECT_PRIVILEGES'
ALTER TABLE JHS_OBJECT_PRIVILEGES
 ADD (CONSTRAINT AVCON_1181546581_OPV_T_000 CHECK (OPV_TYPE IN ('GAC', 'OPV')))
/
         

PROMPT Creating Foreign Key on 'JHS_TRANSLATIONS'
ALTER TABLE JHS_TRANSLATIONS ADD (CONSTRAINT
 JHS_TLN_LCE_FK FOREIGN KEY 
  (LCE_ID) REFERENCES JHS_LOCALES
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_ALLOWABLE_VALUES'
ALTER TABLE JHS_ALLOWABLE_VALUES ADD (CONSTRAINT
 JHS_AVE_FID_FK FOREIGN KEY 
  (FID_ID) REFERENCES JHS_FLEX_ITEM_DEFINITIONS
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_MENU_ITEMS'
ALTER TABLE JHS_MENU_ITEMS ADD (CONSTRAINT
 JHS_MIM_MIM_FK FOREIGN KEY 
  (MIM_ID) REFERENCES JHS_MENU_ITEMS
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_MENU_ITEMS'
ALTER TABLE JHS_MENU_ITEMS ADD (CONSTRAINT
 JHS_MIM_MDE_FK FOREIGN KEY 
  (MDE_ID) REFERENCES JHS_MODULES
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_OBJECT_PRIVILEGES'
ALTER TABLE JHS_OBJECT_PRIVILEGES ADD (CONSTRAINT
 JHS_OPV_OPV_FK FOREIGN KEY 
  (OPV_ID) REFERENCES JHS_OBJECT_PRIVILEGES
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_FLEX_ITEM_DEFINITIONS'
ALTER TABLE JHS_FLEX_ITEM_DEFINITIONS ADD (CONSTRAINT
 JHS_FID_FID_FK FOREIGN KEY 
  (FID_ID) REFERENCES JHS_FLEX_ITEM_DEFINITIONS
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_FLEX_ITEM_DEFINITIONS'
ALTER TABLE JHS_FLEX_ITEM_DEFINITIONS ADD (CONSTRAINT
 JHS_FID_FRD_FK FOREIGN KEY 
  (FRD_ID) REFERENCES JHS_FLEX_REGION_DEFINITIONS
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_OBJECT_PRIVILEGE_GRANTS'
ALTER TABLE JHS_OBJECT_PRIVILEGE_GRANTS ADD (CONSTRAINT
 JHS_OPG_RLE_FK FOREIGN KEY 
  (RLE_ID) REFERENCES JHS_ROLES
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_OBJECT_PRIVILEGE_GRANTS'
ALTER TABLE JHS_OBJECT_PRIVILEGE_GRANTS ADD (CONSTRAINT
 JHS_OPG_OPV_FK FOREIGN KEY 
  (OPV_ID) REFERENCES JHS_OBJECT_PRIVILEGES
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_FLEX_ITEMS'
ALTER TABLE JHS_FLEX_ITEMS ADD (CONSTRAINT
 JHS_FIM_FRN_FK FOREIGN KEY 
  (FRN_ID) REFERENCES JHS_FLEX_REGIONS
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_FLEX_ITEMS'
ALTER TABLE JHS_FLEX_ITEMS ADD (CONSTRAINT
 JHS_FIM_FID_FK FOREIGN KEY 
  (FID_ID) REFERENCES JHS_FLEX_ITEM_DEFINITIONS
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_USER_ROLE_GRANTS'
ALTER TABLE JHS_USER_ROLE_GRANTS ADD (CONSTRAINT
 JHS_URG_USR_FK FOREIGN KEY 
  (USR_ID) REFERENCES JHS_USERS
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_USER_ROLE_GRANTS'
ALTER TABLE JHS_USER_ROLE_GRANTS ADD (CONSTRAINT
 JHS_URG_RLE_FK FOREIGN KEY 
  (RLE_ID) REFERENCES JHS_ROLES
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_FLEX_REGIONS'
ALTER TABLE JHS_FLEX_REGIONS ADD (CONSTRAINT
 JHS_FRN_FRD_FK FOREIGN KEY 
  (FRD_ID) REFERENCES JHS_FLEX_REGION_DEFINITIONS
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_FLEX_REGION_DEFINITIONS'
ALTER TABLE JHS_FLEX_REGION_DEFINITIONS ADD (CONSTRAINT
 JHS_FRD_FRD_FK FOREIGN KEY 
  (FRD_ID) REFERENCES JHS_FLEX_REGION_DEFINITIONS
  (ID))
/

PROMPT Creating Foreign Key on 'JHS_MODULES'
ALTER TABLE JHS_MODULES ADD (CONSTRAINT
 JHS_MDE_UIS_FK FOREIGN KEY 
  (UIS_ID) REFERENCES JHS_USER_INTERFACE_SKINS
  (ID))
/


PROMPT Creating Sequence 'JHS_SEQ'
CREATE SEQUENCE JHS_SEQ
 NOMAXVALUE
 NOMINVALUE
 NOCYCLE
/

SPOOL OFF
